Package net.shibboleth.idp.saml.saml2.profile.impl

# Class ProcessAssertionsForAuthentication.AssertionIsValid

java.lang.Object
net.shibboleth.idp.saml.saml2.profile.impl.ProcessAssertionsForAuthentication.AssertionIsValid

All Implemented Interfaces:
  `Predicate<Assertion>`

Enclosing class:
  ProcessAssertionsForAuthentication

private final class ProcessAssertionsForAuthentication.AssertionIsValid extends Object implements Predicate<Assertion>
Predicate for valid assertions.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AssertionIsValid()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Assertion assertion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### AssertionIsValid

private AssertionIsValid()

## Method Details

### test

public boolean test(@Nullable Assertion assertion)

Specified by:
  `test` in interface `Predicate<Assertion>`